Full Stack Web Development, Hands-On Labs

HOL02 Hands-On Lab: Develop an ASP.NET Core 3 App with EF Core in a Day

10/18/2020

9:00am - 6:00pm

Level: Intermediate

Philip Japikse

Microsoft MVP, MCSD, CSM, and CSP

Developer, Coach, Author, Teacher

Interested in ASP.NET Core 3.x and Entity Framework Core 3.x, but not sure where to start? Start here with an all-day Hands-on Lab where you will build a complete solution using the latest development technology from Microsoft. You will build a data access library using Entity Framework Core, complete with repos and migrations. Next, you will build an ASP.NET Core web application, leveraging all of the latest that ASP.NET Core has to offer, including Tag Helpers, View Components, Dependency Injection, and more!

You will learn:

  • Build a DAL with EF Core
  • Build a web application with ASP.NET Core
  • ASP.NET Core and EF Core

Attendee Requirements:

You must provide your own laptop computer (Windows or Mac) for this hands-on lab.

  • You will need to have and IDE installed. Any one of the following will work (all available from: https://www.visualstudio.com/downloads/ ):
    • Visual Studio 2019 16.4 or greater (any edition) When installing, make sure to select the "ASP.NET and web development" and ".NET Core cross-platform development" workloads.
    • Visual Studio for the Max (v8.3.11+) When installing, make sure to select “.NET Core + ASP.Net Core”
    • Visual Studio Code (1.41.1+) After installing, make sure to add in the select the "C# for Visual Studio Code (powered by OmniSharp)"

  • You will need to install the x64 versions of the .NET Core SDK (3.1.100+) and Runtime (3.1.0+). They can be downloaded from https://www.microsoft.com/net/download/core. Confirm the install by opening a command prompt, enter "dotnet –list-sdks" (without the quotes) - you should see 3.1.100 (or greater). Confirm the runtime by typing "dotnet --list-runtimes" (without the quotes) and look for 3.1.0 (or greater).
  • You also will need to have either Docker or a version of SQL Server (Express or above) 2014 or later. Docker is preferred (and required if you are not on a Windows based OS). If you are running Windows 7, you will need to install SQL Server Express 2014.
    • Docker Desktop Community Edition is free, and can be installed from https://www.docker.com/get-started . Requires Windows 10 or above. Mac requires 2010 hardware or above, MacOS Sierra 10.12 and above.
    • If you need to install SQL Server Express you can install from here: https://www.hanselman.com/blog/DownloadSqlServerExpress.aspx (select the correct version. If Windows 7, select SQL Server Express 2014. If Windows 8 or Windows 10, install SQL Server Express 2016 or SQL Server Express 2017).

  • Finally, you will want to have either SQL Server Management Studio (SSMS) or Azure Data Tools installed . SSMS can be installed from the SQL Server Express installer.